Download it now!
Bug 59862 - VIEWING: Text Amination or Text in calc when open file xlsx is no center view
Summary: VIEWING: Text Amination or Text in calc when open file xlsx is no center view
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.0.0.2 rc
Hardware: Other Windows (All)
: medium normal
Assignee: Noel Power
URL:
Whiteboard: BSA target:4.2.0 target:4.0.5 target:...
Keywords: regression
Depends on:
Blocks:
 
Reported: 2013-01-25 20:02 UTC by Andrzej
Modified: 2013-08-17 09:56 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
screenshot (227.41 KB, image/png)
2013-01-25 20:02 UTC, Andrzej
Details
This file contains 3 bugs when open xlsx on LibreOffice (89.38 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2013-01-26 19:03 UTC, Andrzej
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrzej 2013-01-25 20:02:14 UTC
Created attachment 73658 [details]
screenshot

Problem description: 
Text Amination or Text in calc when open file xlsx is no center view (Vertical)
Steps to reproduce:
Look et attached picture.

This problem is only LibreOffice 4.0.
On the previous versions 3.6 all is right.          
Operating System: Windows 8
Version: 4.0.0.2 rc
Last worked in: 3.6.5.2 rc
Comment 1 Markus Mohrhard 2013-01-25 23:00:04 UTC
Can you please attach a test document?
Comment 2 Andrzej 2013-01-26 19:03:47 UTC
Created attachment 73693 [details]
This file contains 3 bugs when open xlsx on LibreOffice

Open atached file on LO 4 and LO 3.6. Then you see the difference.
In this file are 3 bug witch I notified. Look et my last 3 reports.

Sory for my English, but I don't know him.
Comment 3 Markus Mohrhard 2013-06-07 03:58:05 UTC
Just a tip for the future: Have a look at merged cells as they make it much easier.

@Noel: Did you work on the shape import from OOXML recently?
Comment 4 Noel Power 2013-06-25 11:07:28 UTC
(In reply to comment #3)
> Just a tip for the future: Have a look at merged cells as they make it much
> easier.
> 
> @Noel: Did you work on the shape import from OOXML recently?

hmm this is some side effect of the zoom draw layer stuff I did, it appears that the text part should also be repositioned somehow but isn't ( e.g. just look at the sheet at 100% zoom ) Oh gawd, that patch was a nightmare and finding all these drawing related bits is a pain. ok this is my bug I suppose :-(
Comment 5 Commit Notification 2013-06-25 13:48:39 UTC
Noel Power committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=443c13e92c6f900a41e6e383684623ead3e088f5

fix text position for custom shapes with zoom != 100% fdo#59862



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Noel Power 2013-06-25 14:03:18 UTC
out for review on 4.1 & 4.0

https://gerrit.libreoffice.org/#/c/4514/
https://gerrit.libreoffice.org/#/c/4515/
Comment 7 Commit Notification 2013-06-28 07:58:20 UTC
Noel Power committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1754479bd27d73e74f3f87eb82c18414aa280c28&h=libreoffice-4-0

fix text position for custom shapes with zoom != 100% fdo#59862


It will be available in LibreOffice 4.0.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2013-06-28 08:17:01 UTC
Noel Power committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e497a5620f3865cfcb07446692a6f1e12ff14370&h=libreoffice-4-1

fix text position for custom shapes with zoom != 100% fdo#59862


It will be available in LibreOffice 4.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Andrzej 2013-07-06 09:42:03 UTC
Thanks Noel Power.
Now in LO 4.1 RC2 all is correct.

@Markus Mohrhard
"Just a tip for the future: Have a look at merged cells as they make it much easier." 
Yes i make thad, however this fact does not change that this is the mistake LO.
We want it there to be no mistakes in LO. The truth?